#ifndef LBA_STATUS_H
#define LBA_STATUS_H

#define LBA_CHECK_HOST "130.92.253.210"
#define LBA_CHECK_PORT 80

enum {
        SYS_LINK_UP,    // internet access is running
        SYS_LINK_DOWN,  // problem with the internet access
};

enum {
        BT_UP,          // bluetooth interface is up but not scanning
        BT_DOWN,        // interface exists but is down
        BT_ERROR,       // some error / no bluetooth interface found
        BT_SCANNING,    // bluetooth is up & scanning
};

enum {
        WIFI_UP,        // wifi interface is up but not scanning
        WIFI_DOWN,      // no interface in monitor mode found
        WIFI_ERROR,     // some error
        WIFI_SCANNING,  // wifiis up & scanning
};

struct iface_count {
        int NL80211_IFTYPE_UNSPECIFIED;
        int NL80211_IFTYPE_MONITOR;
};

struct nl80211_state {
        struct nl_sock *nl_sock;
        struct nl_cache *nl_cache;
        struct genl_family *nl80211;
};

int find_proc(char *);
int sysstatus();
int btstatus();
int wifistatus();
int nl_init(struct nl80211_state *state);

#endif
